using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Core
{
    // A Deletion is not IRemotable; *no one* but the database should know about it.
    public class Deletion : Entity, ILicense<CoreLicense>, IPersistent
    {
        [DateTimeEditor(Editable = Editable.Disabled)]
        public DateTime DeletionDate { get; set; }

        [TextBoxEditor(Editable = Editable.Disabled)]
        public string DeletedBy { get; set; }

        [TextBoxEditor(Editable = Editable.Disabled)]
        public string HeadTable { get; set; }

        [TextBoxEditor(Editable = Editable.Disabled)]
        public string Description { get; set; }

    }
}
